/* --------------------------------------------------------
 * Program Name: CdDatabase.java
 * Purpose: This program will manage CD database system
 * Programer: Lee Sing Wai Salamun 41208/2A(17)
 * EMail_address: 020210000@stu.vtc.edu.hk
 * Version: 1.0 (Date of revision: 15-10-2003)
 * Organization: VTC-IVE(KC)-CP
 * --------------------------------------------------------
 */

import javax.swing.JOptionPane;

public class CdDatabase {
	
	public static void main( String args[] ) {
	
		CD[] records = new CD[100];
		int numRecords = 0;
		boolean found;
		
		while ( true ) {
			String command = JOptionPane.showInputDialog(
									  "CD Database commands:\n" +
									  "  1.  Add a new CD Code\n" +
									  "  2.  Find a CD Code\n" +
									  "  3.  Delete a CD Code\n" +
									  "  9.  Quit\n\n" +
									  "Enter number (1, 2, 3 or 9): " );
			int commandValue = Integer.parseInt( command );
			
			switch ( commandValue ) {
				case 1:
					if ( numRecords < records.length ) {
						String code = JOptionPane.showInputDialog( "Enter new code: " );
						String title = JOptionPane.showInputDialog( "Enter new CD title: " );
						String priceString = JOptionPane.showInputDialog( "Enter new CD price: " );
						double price = Double.parseDouble( priceString );
						records[numRecords] = new CD( code, title, price );
						numRecords++;
					} else {
						JOptionPane.showMessageDialog( null, "Database is full" );
					}
					break;
				
				case 2:
					String searchCode = JOptionPane.showInputDialog( "Enter code to look up: " );
					found = false;
					for ( int i = 0; i < numRecords; i++ ) {
						String code = records[i].getCode();
						if ( code.equals( searchCode ) ) {
							JOptionPane.showMessageDialog(
								null, records[i].toString() );
							found = true;
							break;
						}
					}
					if ( ! found ) {
						JOptionPane.showMessageDialog( null, "CD not found" );
					}
					break;
				
				case 3:
					String delCode = JOptionPane.showInputDialog( "Enter code to delete: " );
					found = false;
					for ( int i = 0; i < numRecords; i++ ) {
						String code = records[i].getCode();
						if ( code.equals( delCode ) ) {
							JOptionPane.showMessageDialog( null, "CD deleted." );
							records[i] = records[numRecords-1];
							records[numRecords-1] = null;
							numRecords--;
							found = true;
							break;
						}
					}
					if ( ! found ) {
						JOptionPane.showMessageDialog( null, "CD not found" );
					}
					break;
				
				case 9:
					System.exit( 0 );
				
				default:
					JOptionPane.showMessageDialog( null,
						"Input was not recognized;\n" +
						"please enter only 1, 2, 3 or 9." );
			}
		}
	}
}